=== debian/changelog ===
mapsembler2 (2.2.4+dfsg1-5) unstable; urgency=medium

  * Fix build using CMake 4
    Closes: #1113267
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Oct 2025 22:45:15 +0200

mapsembler2 (2.2.4+dfsg1-4) unstable; urgency=medium

  * d/salsa-ci.yml: disable i386 build and reprotest in Salsa CI
  * d/control: updated uploader address
  * d/control: standard version 4.5.1
  * d/mans/mapsembler2_kissreads.1: fix typo-in-manual-page
  * spelling.patch: fix spelling-error-in-binary
  * add gcc11.patch (Closes: #984226)
  * d/s/lintian-overrides: override notices about components not sent, or
    otherwise missing about upstream, who is inactive for a while.
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Fri, 20 Aug 2021 10:21:44 +0200

mapsembler2 (2.2.4+dfsg1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #972807)
    + Let dh_auto_* handle cross compilation.
    + cross.patch: Use CXX for a C++ compiler.

  [ Étienne Mollier ]
  * List supported autopkgtest architectures, no 32 bit anymore.
  * Add myself to uploaders.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 09 Nov 2020 18:01:18 +0100

mapsembler2 (2.2.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * also remove 32 bits architectures from debian/control.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 21 Oct 2020 22:58:31 +0200

mapsembler2 (2.2.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * added no_std_hash_redefinition.patch and gcc10.patch to address compilation
    failures with Gcc 10.  (Closes: #957519)
  * package removed from 32 bits architecture repostories due to test failure
    and end of maintenance upstream.
  * added check_memory.patch to clarify memory allocation errors in
    autopkgtests, but also in general use.
  * excluded cmake build directory in gatb-core examples, as they are unusable,
    and the CMakeCache.txt triggers a lintian error.
  * made the build more verbose to check for build flags.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 20 Oct 2020 23:09:57 +0200

mapsembler2 (2.2.4+dfsg-4) unstable; urgency=medium

  [ Steffen Möller ]
  * Added ref to conda

  [ Pranav Ballaney ]
  * Add reference data for autopkgtests
  * Add autopkgtests
  * Install docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Refer to specific version of license GPL-2+.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Sat, 13 Jun 2020 05:43:14 +0530

mapsembler2 (2.2.4+dfsg-3) unstable; urgency=medium

  * Provide mapsembler2_extend as symlink to mapsembler_extend since
    it is used in pipeline script (Thanks for the hint to Horacio
    Montenegro <h.montenegro.cluster@gmail.com>)
    Closes: #912662
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 03 Nov 2018 07:15:54 +0100

mapsembler2 (2.2.4+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Created debian/upstream/metadata

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * d/rules:
     - Drop unneeded get-orig-source target
     - Do not parse d/changelog
  * Fix spelling
  * Create manpages before package creation

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 15:07:09 +0200
