=== debian/control ===
Source: mapsembler2
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Olivier Sallou <osallou@debian.org>,
 Andreas Tille <tille@debian.org>,
 Étienne Mollier <emollier@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 bc,
 zlib1g-dev,
 libhdf5-dev,
 libcppunit-dev,
 libboost-dev,
Vcs-Browser: https://salsa.debian.org/med-team/mapsembler2
Vcs-Git: https://salsa.debian.org/med-team/mapsembler2.git
Homepage: http://colibread.inria.fr/mapsembler2/
Rules-Requires-Root: no

Package: mapsembler2
Architecture: amd64 arm64 kfreebsd-amd64 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 zlib1g,
 bc,
Description: bioinformatics targeted assembly software
 Mapsembler2 is a targeted assembly software.
 It takes as input a set of NGS raw reads (fasta or fastq, gzipped or not)
 and a set of input sequences (starters).
 .
 It first determines if each starter is read-coherent, e.g. whether reads
 confirm the presence of each starter in the original sequence.
 Then for each read-coherent starter, Mapsembler2 outputs its sequence
 neighborhood as a linear sequence or as a graph, depending on the user choice.
 .
 Mapsembler2 may be used for (not limited to):
  - Validate an assembled sequence (input as starter), e.g. from a de
    Bruijn graph assembly where read-coherence was not enforced.
  - Checks if a gene (input as starter) has an homolog in a set of reads
  - Checks if a known enzyme is present in a metagenomic NGS read set.
  - Enrich unmappable reads by extending them, possibly making them mappable
  - Checks what happens at the extremities of a contig
  - Remove contaminants or symbiont reads from a read set
