=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/dpkg/default.mk

ifneq ($(wildcard /usr/include/hdf5/serial),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_build:
	dh_auto_configure --sourcedirectory=mapsembler2_extremities --builddirectory=mapsembler2_extremities/build
	dh_auto_build --sourcedirectory=mapsembler2_extremities --builddirectory=mapsembler2_extremities/build
	dh_auto_build --sourcedirectory=mapsembler2_extend -- k=29
	dh_auto_build --sourcedirectory=kissreads_graph -- k=29
	dh_auto_build --sourcedirectory=kissreads -- k=29

override_dh_clean:
	rm -rf mapsembler2_extremities/build
	cd mapsembler2_extend && make clean
	rm -f mapsembler2_extend/mapsembler_extend
	cd kissreads_graph && make clean
	rm -f kissreads_graph/mapsembler2_kissreads_graph
	cd kissreads && make clean
	rm -f kissreads/mapsembler2_kissreads

	dh_clean

override_dh_install:
	mv ./kissreads/kissreads ./kissreads/mapsembler2_kissreads
	mv ./kissreads_graph/kissreads_graph ./kissreads_graph/mapsembler2_kissreads_graph
	cp run_mapsembler2_pipeline.sh run_mapsembler2_pipeline
	dh_install
