=== debian/watch ===
Version: 5

Source: https://colibread.inria.fr/software/@PACKAGE@/
Matching-Pattern: .*/@PACKAGE@_(2\.[.\d]+)@ARCHIVE_EXT@
Repack-Suffix: +dfsg
Dversion-Mangle: auto
